UNIQ(1)

NAMN
uniq — rapportera eller uteslut upprepade rader

SYNOPSIS
uniq [FLAGGA]... [INFIL [UTFIL]]

BESKRIVNING

Filtrera intilliggande matchande rader från INFIL (eller standard in), skriv till UTFIL (eller standard ut).

Utan flaggor slås matchande rader samman till den första förekomsten.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-c, --count
    Skriv antalet gånger raden förekom framför raden.

-d, --repeated
    Skriv endast repeterade rader, en för varje grupp.

-D  Skriv ut alla upprepade rader.

--all-repeated[=METOD]
    Visa alla saker, separera grupper med en tom rad; METOD={separate(standard),prepend,append,both}.

-f, --skip-fields=N
    Undvik att jämföra de första N fälten.

--group[=METOD]
    Visa alla saker, separera grupper med en tom rad; METOD={separate(standard),prepend,append,both}.

-i, --ignore-case
    Ignorera skillnader i skiftläge vid jämförelse.

-s, --skip-chars=N
    Undvik jämförelse av de första N tecknen.

-u, --unique
    Skriv endast unika rader.

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

-w, --check-chars=N
    Jämför inte mer än N tecken i rader.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Ett fält är en följd av blanka (vanligen mellanslag och/eller tabulatorer) och sedan tecken som ej är blanka. Fält hoppas över före tecken.

Obs: uniq upptäcker inte upprepade rader om de inte är efter varandra. Du kanske vill sortera indata först, eller använda sort -u utan uniq.

UPPHOVSMAN
Skrivet av Richard M. Stallman och David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
comm(1), join(1), sort(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/uniq>
eller tillgängligt lokalt via: info '(coreutils) uniq invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.